summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile.am2
-rwxr-xr-xhgcompile17
2 files changed, 18 insertions, 1 deletions
diff --git a/Makefile.am b/Makefile.am
index f33191d..8cef8bd 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -12,7 +12,7 @@ A52DIR = a52
endif
SUBDIRS = oss mix $(JACKDIR) $(POLYPDIR) $(SAMPLERATEDIR) $(A52DIR) doc
-EXTRA_DIST = cvscompile version COPYING.GPL
+EXTRA_DIST = hgcompile version COPYING.GPL
AUTOMAKE_OPTIONS = foreign
dist-hook:
diff --git a/hgcompile b/hgcompile
new file mode 100755
index 0000000..484a400
--- /dev/null
+++ b/hgcompile
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+touch ltconfig
+libtoolize --force --copy --automake
+aclocal $ACLOCAL_FLAGS
+autoheader
+automake --foreign --copy --add-missing
+touch depcomp # seems to be missing for old automake
+autoconf
+export CFLAGS='-O2 -Wall -W -pipe -g'
+echo "CFLAGS=$CFLAGS"
+echo "./configure $@"
+./configure $@ || exit 1
+unset CFLAGS
+if [ -z "$HGCOMPILE_NO_MAKE" ]; then
+ make
+fi